## ros-iron-nav2-smac-planner 1.2.2

=== lattice_primitives/requirements.txt ===
numpy>=1.17.4
matplotlib>=3.1.2
Rtree>=0.9.7
